%define base_name	logging
%define short_name	commons-%{base_name}
%define name		jakarta-%{short_name}
%define version		1.0.2
%define release		2jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Jakarta Commons Logging Package
License:	Apache Software License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{short_name}-%{version}-src.tar.gz
Url:		http://jakarta.apache.org/commons/%{base_name}
Requires:	log4j
BuildRequires:	ant
BuildRequires:	log4j
BuildRequires:	avalon-logkit
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The commons-logging package provides a simple, component oriented
interface (org.apache.commons.logging.Log) together with wrappers for
logging systems. The user can choose at runtime which system they want
to use. In addition, a small number of basic implementations are
provided to allow users to use the package standalone. 
commons-logging was heavily influenced by Avalon's Logkit and Log4J. The
commons-logging abstraction is meant to minimixe the differences between
the two, and to allow a developer to not tie himself to a particular
logging implementation.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{short_name}-%{version}-src
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
cd logging
cp LICENSE.txt ../LICENSE
ant \
-Dlog4j.jar=%{javadir}/log4j.jar \
-Dlogkit.jar=%{javadir}/avalon-logkit.jar \
dist

%install
# jars
cd logging
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 dist/%{short_name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
install -m 644 dist/%{short_name}-api.jar $RPM_BUILD_ROOT%{javadir}/%{name}-api-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|jakarta-||g"`; done)
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr dist/docs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc logging/PROPOSAL.html logging/STATUS.html logging/dist/LICENSE logging/RELEASE-NOTES.txt
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0.2-2jpp
- fix ASF license and add packager tag

* Mon Sep 30 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0.2-1jpp
- 1.0.2

* Tue Aug 20 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0.1-1jpp
- 1.0.1

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-5jpp
- remove Requires logkit (commons-log could works with log4j, jdk1.4)

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-4jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-3jpp
- built with Sun JDK 1.4.0_01 to have JDK 1.4 support compiled in

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-2jpp
- added short names in %{javadir}, as does jakarta developpers 

* Mon May 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1jpp 
- fist jpp release
